text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Data.Fixed

Description

Monomorphic `Show` function for `Fixed` values.

Since: 2

Synopsis

- showbFixed :: HasResolution a => Bool -> Fixed a -> Builder

# Documentation

showbFixed :: HasResolution a => Bool -> Fixed a -> Builder Source

Convert a `Fixed` value to a `Builder`, where the first argument indicates whether to chop off trailing zeroes.

Since: 2